Package org.eclipse.mat.report.internal

## Class OutputterBase

- java.lang.Object
- - org.eclipse.mat.report.internal.OutputterBase

All Implemented Interfaces:
  `IOutputter`

Direct Known Subclasses:
  `CSVOutputter`, `TextOutputter`

    public abstract class OutputterBase
    extends Object
    implements IOutputter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.report.IOutputter

`IOutputter.Context`

### Constructor Summary

Constructors
`OutputterBase()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.report.IOutputter

`embedd, process`

### Constructor Detail

#### OutputterBase

    public OutputterBase()